Bug 204411 - [patch] net/wireshark: convert to OPTIONS helpers, drop some obsolete options
Summary: [patch] net/wireshark: convert to OPTIONS helpers, drop some obsolete options
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Joe Marcus Clarke
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2015-11-10 00:29 UTC by Andriy Voskoboinyk
Modified: 2015-11-17 17:36 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (marcus)


Attachments
Patch.diff (14.15 KB, patch)
2015-11-10 00:29 UTC, Andriy Voskoboinyk
no flags Details | Diff
portling-wireshark.log (641 bytes, text/plain)
2015-11-10 00:30 UTC, Andriy Voskoboinyk
no flags Details
portlint-wireshark-qt5.log (1.69 KB, text/plain)
2015-11-10 00:35 UTC, Andriy Voskoboinyk
no flags Details
portlint-wireshark-lite.log (1.37 KB, text/plain)
2015-11-10 00:35 UTC, Andriy Voskoboinyk
no flags Details
poudriere-9.3-i386.log.txz (39.01 KB, application/x-xz)
2015-11-10 00:36 UTC, Andriy Voskoboinyk
no flags Details
poudriere-10.2-amd64.log.txz (42.58 KB, application/x-xz)
2015-11-10 20:42 UTC, Andriy Voskoboinyk
no flags Details
Patch2.diff (2.54 KB, patch)
2015-11-17 01:51 UTC, Andriy Voskoboinyk
no flags Details | Diff
portlint-wireshark-qt5.log (1.77 KB, text/plain)
2015-11-17 01:53 UTC, Andriy Voskoboinyk
no flags Details
portlint-wireshark-lite.log (1.30 KB, text/plain)
2015-11-17 01:54 UTC, Andriy Voskoboinyk
no flags Details
portlint-wireshark.log (798 bytes, text/plain)
2015-11-17 01:55 UTC, Andriy Voskoboinyk
no flags Details
portlint-tshark-lite.log (1.04 KB, text/plain)
2015-11-17 01:55 UTC, Andriy Voskoboinyk
no flags Details
portlint-tshark.log (1.51 KB, text/plain)
2015-11-17 01:55 UTC, Andriy Voskoboinyk
no flags Details
poudriere.logs.txz (41.33 KB, application/x-xz)
2015-11-17 02:10 UTC, Andriy Voskoboinyk
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andriy Voskoboinyk freebsd_committer 2015-11-10 00:29:59 UTC
Created attachment 162942 [details]
Patch.diff

- Drop gettext / iconv dependencies - they are not used here.
- Drop obsolete THREADS / PCRE / X11 options.
- Convert to OPTIONS helpers.
- Allow to choose between various Kerberos implementations.
- Add Lua 5.2 into supported versions list.
- Restore GTK2 option.
- Improve some descriptions.
- Use 'install_desktop_files' target for installing *.deskop, *.xml and icon files.
- When c-ares is selected, adns will not be used - convert them into OPTIONS_SINGLE.
- RTP support is compiled into GTK+ GUI - disable it in other cases.
- Bump PORTREVISION.
Comment 1 Andriy Voskoboinyk freebsd_committer 2015-11-10 00:30:51 UTC
Created attachment 162943 [details]
portling-wireshark.log
Comment 2 Andriy Voskoboinyk freebsd_committer 2015-11-10 00:34:33 UTC
In addition:
- Add glib20 to dependencies.
- Strip binaries.
Comment 3 Andriy Voskoboinyk freebsd_committer 2015-11-10 00:35:06 UTC
Created attachment 162944 [details]
portlint-wireshark-qt5.log
Comment 4 Andriy Voskoboinyk freebsd_committer 2015-11-10 00:35:55 UTC
Created attachment 162945 [details]
portlint-wireshark-lite.log
Comment 5 Andriy Voskoboinyk freebsd_committer 2015-11-10 00:36:43 UTC
Created attachment 162946 [details]
poudriere-9.3-i386.log.txz
Comment 6 Andriy Voskoboinyk freebsd_committer 2015-11-10 20:42:14 UTC
Created attachment 162991 [details]
poudriere-10.2-amd64.log.txz
Comment 7 Joe Marcus Clarke freebsd_committer 2015-11-16 17:20:08 UTC
Committed, thanks!
Comment 8 commit-hook freebsd_committer 2015-11-16 17:20:10 UTC
A commit references this bug:

Author: marcus
Date: Mon Nov 16 17:19:50 UTC 2015
New revision: 401779
URL: https://svnweb.freebsd.org/changeset/ports/401779

Log:
  - Drop gettext / iconv dependencies - they are not used here.
  - Drop obsolete THREADS / PCRE / X11 options.
  - Convert to OPTIONS helpers.
  - Allow to choose between various Kerberos implementations.
  - Add Lua 5.2 into supported versions list.
  - Restore GTK2 option.
  - Improve some descriptions.
  - Use 'install_desktop_files' target for installing *.deskop, *.xml and icon files.
  - When c-ares is selected, adns will not be used - convert them into OPTIONS_SINGLE.
  - RTP support is compiled into GTK+ GUI - disable it in other cases.
  - Bump PORTREVISION.

  PR:		204411
  Submitted by:	Andriy Voskoboinyk <s3erios@gmail.com>

Changes:
  head/net/wireshark/Makefile
  head/net/wireshark/files/
  head/net/wireshark/pkg-message
  head/net/wireshark/pkg-plist
  head/net/wireshark-lite/Makefile
  head/net/wireshark-qt5/Makefile
Comment 9 Andriy Voskoboinyk freebsd_committer 2015-11-17 01:51:28 UTC
Created attachment 163218 [details]
Patch2.diff

Fix build for net/tshark and net/tshark-lite.
Comment 10 Andriy Voskoboinyk freebsd_committer 2015-11-17 01:53:24 UTC
Created attachment 163219 [details]
portlint-wireshark-qt5.log
Comment 11 Andriy Voskoboinyk freebsd_committer 2015-11-17 01:54:31 UTC
Created attachment 163220 [details]
portlint-wireshark-lite.log
Comment 12 Andriy Voskoboinyk freebsd_committer 2015-11-17 01:55:05 UTC
Created attachment 163221 [details]
portlint-wireshark.log
Comment 13 Andriy Voskoboinyk freebsd_committer 2015-11-17 01:55:33 UTC
Created attachment 163222 [details]
portlint-tshark-lite.log
Comment 14 Andriy Voskoboinyk freebsd_committer 2015-11-17 01:55:55 UTC
Created attachment 163223 [details]
portlint-tshark.log
Comment 15 Andriy Voskoboinyk freebsd_committer 2015-11-17 02:10:58 UTC
Created attachment 163224 [details]
poudriere.logs.txz
Comment 16 Joe Marcus Clarke freebsd_committer 2015-11-17 17:36:19 UTC
Committed, thanks!